Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionResponse`, `ClientWireProtocol.ClientConnectionResponse.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ClientConnectionResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ByteString`
`getIv()`
`bytes iv = 2;`
`String`
`getPubKey()`
`string pubKey = 3;`
`ByteString`
`getPubKeyBytes()`
`string pubKey = 3;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getIv

ByteString getIv()
`bytes iv = 2;`

Returns:
  The iv.

### getPubKey

String getPubKey()
`string pubKey = 3;`

Returns:
  The pubKey.

### getPubKeyBytes

ByteString getPubKeyBytes()
`string pubKey = 3;`

Returns:
  The bytes for pubKey.